/*****************************************************************************
 *  device.h: here are definitions of functions from device.c
 *  This is part of IC-tester program.
 *  Copyright (C) 2001,2002  Silvio Klaic, sklaic@student.math.hr
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *****************************************************************************/

#ifndef _DEVICE_H
#define _DEVICE_H

#ifdef __minix
_PROTOTYPE(short int portwrite, (unsigned int IO, const char DAT[16]));
_PROTOTYPE(void portread, (unsigned int IO, char *DAT));
_PROTOTYPE(void enable_port, (short int WhaT, unsigned int IO));
_PROTOTYPE(int is_power_on, (unsigned int IO));
#else
int is_power_on( unsigned int IO );
short int portwrite( unsigned int IO, const char DAT[16] );
void portread( unsigned int IO, char *DAT );
void enable_port(short int WhaT, unsigned int IO);
#endif

#endif /* _DEVICE_H */

